Skip to content

Deprecated Api

immichpy.client.generated.api.deprecated_api.DeprecatedApi

DeprecatedApi(api_client=None)

NOTE: This class is auto generated by OpenAPI Generator Ref: https://openapi-generator.tech

Do not edit the class manually.

Source code in immichpy/client/generated/api/deprecated_api.py
51
52
53
54
def __init__(self, api_client=None) -> None:
    if api_client is None:
        api_client = ApiClient.get_default()
    self.api_client = api_client

create_partner_deprecated async

create_partner_deprecated(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> PartnerResponseDto

(Deprecated) Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
PartnerResponseDto

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
@validate_call
async def create_partner_deprecated(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> PartnerResponseDto:
    """(Deprecated) Create a partner

    Create a new partner to share assets with.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /partners/{id} is deprecated.", DeprecationWarning)

    _param = self._create_partner_deprecated_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

create_partner_deprecated_with_http_info async

create_partner_deprecated_with_http_info(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[PartnerResponseDto]

(Deprecated) Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[PartnerResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
@validate_call
async def create_partner_deprecated_with_http_info(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[PartnerResponseDto]:
    """(Deprecated) Create a partner

    Create a new partner to share assets with.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /partners/{id} is deprecated.", DeprecationWarning)

    _param = self._create_partner_deprecated_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

create_partner_deprecated_without_preload_content async

create_partner_deprecated_without_preload_content(id: UUID, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Create a partner

Create a new partner to share assets with.

Parameters:

Name Type Description Default
id UUID

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
@validate_call
async def create_partner_deprecated_without_preload_content(
    self,
    id: UUID,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Create a partner

    Create a new partner to share assets with.

    :param id: (required)
    :type id: UUID
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /partners/{id} is deprecated.", DeprecationWarning)

    _param = self._create_partner_deprecated_serialize(
        id=id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "201": "PartnerResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_all_user_assets_by_device_id async

get_all_user_assets_by_device_id(device_id: Annotated[StrictStr, Field(description='Device ID')], _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> List[str]

(Deprecated) Retrieve assets by device ID

Get all asset of a device that are in the database, ID only.

Parameters:

Name Type Description Default
device_id Annotated[StrictStr, Field(description='Device ID')]

Device ID (required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
List[str]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
@validate_call
async def get_all_user_assets_by_device_id(
    self,
    device_id: Annotated[StrictStr, Field(description="Device ID")],
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> List[str]:
    """(Deprecated) Retrieve assets by device ID

    Get all asset of a device that are in the database, ID only.

    :param device_id: Device ID (required)
    :type device_id: str
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn(
        "GET /assets/device/{deviceId} is deprecated.", DeprecationWarning
    )

    _param = self._get_all_user_assets_by_device_id_serialize(
        device_id=device_id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[str]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_all_user_assets_by_device_id_with_http_info async

get_all_user_assets_by_device_id_with_http_info(device_id: Annotated[StrictStr, Field(description='Device ID')], _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[List[str]]

(Deprecated) Retrieve assets by device ID

Get all asset of a device that are in the database, ID only.

Parameters:

Name Type Description Default
device_id Annotated[StrictStr, Field(description='Device ID')]

Device ID (required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[List[str]]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
@validate_call
async def get_all_user_assets_by_device_id_with_http_info(
    self,
    device_id: Annotated[StrictStr, Field(description="Device ID")],
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[List[str]]:
    """(Deprecated) Retrieve assets by device ID

    Get all asset of a device that are in the database, ID only.

    :param device_id: Device ID (required)
    :type device_id: str
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn(
        "GET /assets/device/{deviceId} is deprecated.", DeprecationWarning
    )

    _param = self._get_all_user_assets_by_device_id_serialize(
        device_id=device_id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[str]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_all_user_assets_by_device_id_without_preload_content async

get_all_user_assets_by_device_id_without_preload_content(device_id: Annotated[StrictStr, Field(description='Device ID')], _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Retrieve assets by device ID

Get all asset of a device that are in the database, ID only.

Parameters:

Name Type Description Default
device_id Annotated[StrictStr, Field(description='Device ID')]

Device ID (required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
@validate_call
async def get_all_user_assets_by_device_id_without_preload_content(
    self,
    device_id: Annotated[StrictStr, Field(description="Device ID")],
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Retrieve assets by device ID

    Get all asset of a device that are in the database, ID only.

    :param device_id: Device ID (required)
    :type device_id: str
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn(
        "GET /assets/device/{deviceId} is deprecated.", DeprecationWarning
    )

    _param = self._get_all_user_assets_by_device_id_serialize(
        device_id=device_id,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[str]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_delta_sync async

get_delta_sync(asset_delta_sync_dto: AssetDeltaSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> AssetDeltaSyncResponseDto

(Deprecated) Get delta sync for user

Retrieve changed assets since the last sync for the authenticated user.

Parameters:

Name Type Description Default
asset_delta_sync_dto AssetDeltaSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
AssetDeltaSyncResponseDto

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
@validate_call
async def get_delta_sync(
    self,
    asset_delta_sync_dto: AssetDeltaSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> AssetDeltaSyncResponseDto:
    """(Deprecated) Get delta sync for user

    Retrieve changed assets since the last sync for the authenticated user.

    :param asset_delta_sync_dto: (required)
    :type asset_delta_sync_dto: AssetDeltaSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/delta-sync is deprecated.", DeprecationWarning)

    _param = self._get_delta_sync_serialize(
        asset_delta_sync_dto=asset_delta_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "AssetDeltaSyncResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_delta_sync_with_http_info async

get_delta_sync_with_http_info(asset_delta_sync_dto: AssetDeltaSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[AssetDeltaSyncResponseDto]

(Deprecated) Get delta sync for user

Retrieve changed assets since the last sync for the authenticated user.

Parameters:

Name Type Description Default
asset_delta_sync_dto AssetDeltaSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[AssetDeltaSyncResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
@validate_call
async def get_delta_sync_with_http_info(
    self,
    asset_delta_sync_dto: AssetDeltaSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[AssetDeltaSyncResponseDto]:
    """(Deprecated) Get delta sync for user

    Retrieve changed assets since the last sync for the authenticated user.

    :param asset_delta_sync_dto: (required)
    :type asset_delta_sync_dto: AssetDeltaSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/delta-sync is deprecated.", DeprecationWarning)

    _param = self._get_delta_sync_serialize(
        asset_delta_sync_dto=asset_delta_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "AssetDeltaSyncResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_delta_sync_without_preload_content async

get_delta_sync_without_preload_content(asset_delta_sync_dto: AssetDeltaSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Get delta sync for user

Retrieve changed assets since the last sync for the authenticated user.

Parameters:

Name Type Description Default
asset_delta_sync_dto AssetDeltaSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
@validate_call
async def get_delta_sync_without_preload_content(
    self,
    asset_delta_sync_dto: AssetDeltaSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Get delta sync for user

    Retrieve changed assets since the last sync for the authenticated user.

    :param asset_delta_sync_dto: (required)
    :type asset_delta_sync_dto: AssetDeltaSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/delta-sync is deprecated.", DeprecationWarning)

    _param = self._get_delta_sync_serialize(
        asset_delta_sync_dto=asset_delta_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "AssetDeltaSyncResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_full_sync_for_user async

get_full_sync_for_user(asset_full_sync_dto: AssetFullSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> List[AssetResponseDto]

(Deprecated) Get full sync for user

Retrieve all assets for a full synchronization for the authenticated user.

Parameters:

Name Type Description Default
asset_full_sync_dto AssetFullSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
List[AssetResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
860
861
862
863
864
865
866
867
868
869
870
@validate_call
async def get_full_sync_for_user(
    self,
    asset_full_sync_dto: AssetFullSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> List[AssetResponseDto]:
    """(Deprecated) Get full sync for user

    Retrieve all assets for a full synchronization for the authenticated user.

    :param asset_full_sync_dto: (required)
    :type asset_full_sync_dto: AssetFullSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/full-sync is deprecated.", DeprecationWarning)

    _param = self._get_full_sync_for_user_serialize(
        asset_full_sync_dto=asset_full_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_full_sync_for_user_with_http_info async

get_full_sync_for_user_with_http_info(asset_full_sync_dto: AssetFullSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[List[AssetResponseDto]]

(Deprecated) Get full sync for user

Retrieve all assets for a full synchronization for the authenticated user.

Parameters:

Name Type Description Default
asset_full_sync_dto AssetFullSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[List[AssetResponseDto]]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
907
908
909
910
911
912
913
914
915
916
917
918
919
920
921
922
923
924
925
926
927
928
929
930
931
932
933
934
935
@validate_call
async def get_full_sync_for_user_with_http_info(
    self,
    asset_full_sync_dto: AssetFullSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[List[AssetResponseDto]]:
    """(Deprecated) Get full sync for user

    Retrieve all assets for a full synchronization for the authenticated user.

    :param asset_full_sync_dto: (required)
    :type asset_full_sync_dto: AssetFullSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/full-sync is deprecated.", DeprecationWarning)

    _param = self._get_full_sync_for_user_serialize(
        asset_full_sync_dto=asset_full_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_full_sync_for_user_without_preload_content async

get_full_sync_for_user_without_preload_content(asset_full_sync_dto: AssetFullSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Get full sync for user

Retrieve all assets for a full synchronization for the authenticated user.

Parameters:

Name Type Description Default
asset_full_sync_dto AssetFullSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
937
938
939
940
941
942
943
944
945
946
947
948
949
950
951
952
953
954
955
956
957
958
959
960
961
962
963
964
965
966
967
968
969
970
971
972
973
974
975
976
977
978
979
980
981
982
983
984
985
986
987
988
989
990
991
992
993
994
995
996
@validate_call
async def get_full_sync_for_user_without_preload_content(
    self,
    asset_full_sync_dto: AssetFullSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Get full sync for user

    Retrieve all assets for a full synchronization for the authenticated user.

    :param asset_full_sync_dto: (required)
    :type asset_full_sync_dto: AssetFullSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/full-sync is deprecated.", DeprecationWarning)

    _param = self._get_full_sync_for_user_serialize(
        asset_full_sync_dto=asset_full_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_queues_legacy async

get_queues_legacy(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> QueuesResponseLegacyDto

(Deprecated) Retrieve queue counts and status

Retrieve the counts of the current queue, as well as the current status.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
QueuesResponseLegacyDto

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1062
1063
1064
1065
1066
1067
1068
1069
1070
1071
1072
1073
1074
1075
1076
1077
1078
1079
1080
1081
1082
1083
1084
1085
1086
1087
1088
1089
1090
1091
1092
1093
1094
1095
1096
1097
1098
1099
1100
1101
1102
1103
1104
1105
1106
1107
1108
1109
1110
1111
1112
1113
1114
1115
1116
1117
1118
1119
1120
1121
@validate_call
async def get_queues_legacy(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> QueuesResponseLegacyDto:
    """(Deprecated) Retrieve queue counts and status

    Retrieve the counts of the current queue, as well as the current status.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /jobs is deprecated.", DeprecationWarning)

    _param = self._get_queues_legacy_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueuesResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_queues_legacy_with_http_info async

get_queues_legacy_with_http_info(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[QueuesResponseLegacyDto]

(Deprecated) Retrieve queue counts and status

Retrieve the counts of the current queue, as well as the current status.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[QueuesResponseLegacyDto]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1123
1124
1125
1126
1127
1128
1129
1130
1131
1132
1133
1134
1135
1136
1137
1138
1139
1140
1141
1142
1143
1144
1145
1146
1147
1148
1149
1150
1151
1152
1153
1154
1155
1156
1157
1158
1159
1160
1161
1162
1163
1164
1165
1166
1167
1168
1169
1170
1171
1172
1173
1174
1175
1176
1177
1178
1179
1180
1181
1182
@validate_call
async def get_queues_legacy_with_http_info(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[QueuesResponseLegacyDto]:
    """(Deprecated) Retrieve queue counts and status

    Retrieve the counts of the current queue, as well as the current status.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /jobs is deprecated.", DeprecationWarning)

    _param = self._get_queues_legacy_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueuesResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_queues_legacy_without_preload_content async

get_queues_legacy_without_preload_content(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Retrieve queue counts and status

Retrieve the counts of the current queue, as well as the current status.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1184
1185
1186
1187
1188
1189
1190
1191
1192
1193
1194
1195
1196
1197
1198
1199
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
1215
1216
1217
1218
1219
1220
1221
1222
1223
1224
1225
1226
1227
1228
1229
1230
1231
1232
1233
1234
1235
1236
1237
1238
1239
@validate_call
async def get_queues_legacy_without_preload_content(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Retrieve queue counts and status

    Retrieve the counts of the current queue, as well as the current status.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /jobs is deprecated.", DeprecationWarning)

    _param = self._get_queues_legacy_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueuesResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_random async

get_random(count: Annotated[Optional[Union[Annotated[float, Field(strict=True, ge=1)], Annotated[int, Field(strict=True, ge=1)]]], Field(description='Number of random assets to return')] = None, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> List[AssetResponseDto]

(Deprecated) Get random assets

Retrieve a specified number of random assets for the authenticated user.

Parameters:

Name Type Description Default
count Annotated[Optional[Union[Annotated[float, Field(strict=True, ge=1)], Annotated[int, Field(strict=True, ge=1)]]], Field(description='Number of random assets to return')]

Number of random assets to return

None
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
List[AssetResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1292
1293
1294
1295
1296
1297
1298
1299
1300
1301
1302
1303
1304
1305
1306
1307
1308
1309
1310
1311
1312
1313
1314
1315
1316
1317
1318
1319
1320
1321
1322
1323
1324
1325
1326
1327
1328
1329
1330
1331
1332
1333
1334
1335
1336
1337
1338
1339
1340
1341
1342
1343
1344
1345
1346
1347
1348
1349
1350
1351
1352
1353
1354
1355
1356
1357
1358
1359
1360
1361
1362
1363
@validate_call
async def get_random(
    self,
    count: Annotated[
        Optional[
            Union[
                Annotated[float, Field(strict=True, ge=1)],
                Annotated[int, Field(strict=True, ge=1)],
            ]
        ],
        Field(description="Number of random assets to return"),
    ] = None,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> List[AssetResponseDto]:
    """(Deprecated) Get random assets

    Retrieve a specified number of random assets for the authenticated user.

    :param count: Number of random assets to return
    :type count: float
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /assets/random is deprecated.", DeprecationWarning)

    _param = self._get_random_serialize(
        count=count,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_random_with_http_info async

get_random_with_http_info(count: Annotated[Optional[Union[Annotated[float, Field(strict=True, ge=1)], Annotated[int, Field(strict=True, ge=1)]]], Field(description='Number of random assets to return')] = None, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[List[AssetResponseDto]]

(Deprecated) Get random assets

Retrieve a specified number of random assets for the authenticated user.

Parameters:

Name Type Description Default
count Annotated[Optional[Union[Annotated[float, Field(strict=True, ge=1)], Annotated[int, Field(strict=True, ge=1)]]], Field(description='Number of random assets to return')]

Number of random assets to return

None
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[List[AssetResponseDto]]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1365
1366
1367
1368
1369
1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
1380
1381
1382
1383
1384
1385
1386
1387
1388
1389
1390
1391
1392
1393
1394
1395
1396
1397
1398
1399
1400
1401
1402
1403
1404
1405
1406
1407
1408
1409
1410
1411
1412
1413
1414
1415
1416
1417
1418
1419
1420
1421
1422
1423
1424
1425
1426
1427
1428
1429
1430
1431
1432
1433
1434
1435
1436
@validate_call
async def get_random_with_http_info(
    self,
    count: Annotated[
        Optional[
            Union[
                Annotated[float, Field(strict=True, ge=1)],
                Annotated[int, Field(strict=True, ge=1)],
            ]
        ],
        Field(description="Number of random assets to return"),
    ] = None,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[List[AssetResponseDto]]:
    """(Deprecated) Get random assets

    Retrieve a specified number of random assets for the authenticated user.

    :param count: Number of random assets to return
    :type count: float
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /assets/random is deprecated.", DeprecationWarning)

    _param = self._get_random_serialize(
        count=count,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_random_without_preload_content async

get_random_without_preload_content(count: Annotated[Optional[Union[Annotated[float, Field(strict=True, ge=1)], Annotated[int, Field(strict=True, ge=1)]]], Field(description='Number of random assets to return')] = None, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Get random assets

Retrieve a specified number of random assets for the authenticated user.

Parameters:

Name Type Description Default
count Annotated[Optional[Union[Annotated[float, Field(strict=True, ge=1)], Annotated[int, Field(strict=True, ge=1)]]], Field(description='Number of random assets to return')]

Number of random assets to return

None
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1438
1439
1440
1441
1442
1443
1444
1445
1446
1447
1448
1449
1450
1451
1452
1453
1454
1455
1456
1457
1458
1459
1460
1461
1462
1463
1464
1465
1466
1467
1468
1469
1470
1471
1472
1473
1474
1475
1476
1477
1478
1479
1480
1481
1482
1483
1484
1485
1486
1487
1488
1489
1490
1491
1492
1493
1494
1495
1496
1497
1498
1499
1500
1501
1502
1503
1504
1505
@validate_call
async def get_random_without_preload_content(
    self,
    count: Annotated[
        Optional[
            Union[
                Annotated[float, Field(strict=True, ge=1)],
                Annotated[int, Field(strict=True, ge=1)],
            ]
        ],
        Field(description="Number of random assets to return"),
    ] = None,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Get random assets

    Retrieve a specified number of random assets for the authenticated user.

    :param count: Number of random assets to return
    :type count: float
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /assets/random is deprecated.", DeprecationWarning)

    _param = self._get_random_serialize(
        count=count,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

replace_asset async

replace_asset(id: UUID, asset_data: Annotated[Union[StrictBytes, StrictStr, Tuple[StrictStr, StrictBytes]], Field(description='Asset file data')], device_asset_id: Annotated[StrictStr, Field(description='Device asset ID')], device_id: Annotated[StrictStr, Field(description='Device ID')], file_created_at: Annotated[datetime, Field(description='File creation date')], file_modified_at: Annotated[datetime, Field(description='File modification date')], key: Optional[StrictStr] = None, slug: Optional[StrictStr] = None, duration: Annotated[Optional[StrictStr], Field(description='Duration (for videos)')] = None, filename: Annotated[Optional[StrictStr], Field(description=Filename)] = None, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> AssetMediaResponseDto

(Deprecated) Replace asset

Replace the asset with new file, without changing its id.

Parameters:

Name Type Description Default
id UUID

(required)

required
asset_data Annotated[Union[StrictBytes, StrictStr, Tuple[StrictStr, StrictBytes]], Field(description='Asset file data')]

Asset file data (required)

required
device_asset_id Annotated[StrictStr, Field(description='Device asset ID')]

Device asset ID (required)

required
device_id Annotated[StrictStr, Field(description='Device ID')]

Device ID (required)

required
file_created_at Annotated[datetime, Field(description='File creation date')]

File creation date (required)

required
file_modified_at Annotated[datetime, Field(description='File modification date')]

File modification date (required)

required
key Optional[StrictStr]
None
slug Optional[StrictStr]
None
duration Annotated[Optional[StrictStr], Field(description='Duration (for videos)')]

Duration (for videos)

None
filename Annotated[Optional[StrictStr], Field(description=Filename)]

Filename

None
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
AssetMediaResponseDto

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1562
1563
1564
1565
1566
1567
1568
1569
1570
1571
1572
1573
1574
1575
1576
1577
1578
1579
1580
1581
1582
1583
1584
1585
1586
1587
1588
1589
1590
1591
1592
1593
1594
1595
1596
1597
1598
1599
1600
1601
1602
1603
1604
1605
1606
1607
1608
1609
1610
1611
1612
1613
1614
1615
1616
1617
1618
1619
1620
1621
1622
1623
1624
1625
1626
1627
1628
1629
1630
1631
1632
1633
1634
1635
1636
1637
1638
1639
1640
1641
1642
1643
1644
1645
1646
1647
1648
1649
1650
1651
1652
1653
1654
1655
1656
1657
1658
1659
1660
1661
1662
1663
1664
1665
1666
1667
1668
@validate_call
async def replace_asset(
    self,
    id: UUID,
    asset_data: Annotated[
        Union[StrictBytes, StrictStr, Tuple[StrictStr, StrictBytes]],
        Field(description="Asset file data"),
    ],
    device_asset_id: Annotated[StrictStr, Field(description="Device asset ID")],
    device_id: Annotated[StrictStr, Field(description="Device ID")],
    file_created_at: Annotated[datetime, Field(description="File creation date")],
    file_modified_at: Annotated[
        datetime, Field(description="File modification date")
    ],
    key: Optional[StrictStr] = None,
    slug: Optional[StrictStr] = None,
    duration: Annotated[
        Optional[StrictStr], Field(description="Duration (for videos)")
    ] = None,
    filename: Annotated[Optional[StrictStr], Field(description="Filename")] = None,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> AssetMediaResponseDto:
    """(Deprecated) Replace asset

    Replace the asset with new file, without changing its id.

    :param id: (required)
    :type id: UUID
    :param asset_data: Asset file data (required)
    :type asset_data: bytearray
    :param device_asset_id: Device asset ID (required)
    :type device_asset_id: str
    :param device_id: Device ID (required)
    :type device_id: str
    :param file_created_at: File creation date (required)
    :type file_created_at: datetime
    :param file_modified_at: File modification date (required)
    :type file_modified_at: datetime
    :param key:
    :type key: str
    :param slug:
    :type slug: str
    :param duration: Duration (for videos)
    :type duration: str
    :param filename: Filename
    :type filename: str
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("PUT /assets/{id}/original is deprecated.", DeprecationWarning)

    _param = self._replace_asset_serialize(
        id=id,
        asset_data=asset_data,
        device_asset_id=device_asset_id,
        device_id=device_id,
        file_created_at=file_created_at,
        file_modified_at=file_modified_at,
        key=key,
        slug=slug,
        duration=duration,
        filename=filename,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "AssetMediaResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

replace_asset_with_http_info async

replace_asset_with_http_info(id: UUID, asset_data: Annotated[Union[StrictBytes, StrictStr, Tuple[StrictStr, StrictBytes]], Field(description='Asset file data')], device_asset_id: Annotated[StrictStr, Field(description='Device asset ID')], device_id: Annotated[StrictStr, Field(description='Device ID')], file_created_at: Annotated[datetime, Field(description='File creation date')], file_modified_at: Annotated[datetime, Field(description='File modification date')], key: Optional[StrictStr] = None, slug: Optional[StrictStr] = None, duration: Annotated[Optional[StrictStr], Field(description='Duration (for videos)')] = None, filename: Annotated[Optional[StrictStr], Field(description=Filename)] = None, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[AssetMediaResponseDto]

(Deprecated) Replace asset

Replace the asset with new file, without changing its id.

Parameters:

Name Type Description Default
id UUID

(required)

required
asset_data Annotated[Union[StrictBytes, StrictStr, Tuple[StrictStr, StrictBytes]], Field(description='Asset file data')]

Asset file data (required)

required
device_asset_id Annotated[StrictStr, Field(description='Device asset ID')]

Device asset ID (required)

required
device_id Annotated[StrictStr, Field(description='Device ID')]

Device ID (required)

required
file_created_at Annotated[datetime, Field(description='File creation date')]

File creation date (required)

required
file_modified_at Annotated[datetime, Field(description='File modification date')]

File modification date (required)

required
key Optional[StrictStr]
None
slug Optional[StrictStr]
None
duration Annotated[Optional[StrictStr], Field(description='Duration (for videos)')]

Duration (for videos)

None
filename Annotated[Optional[StrictStr], Field(description=Filename)]

Filename

None
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[AssetMediaResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/deprecated_api.py
1670
1671
1672
1673
1674
1675
1676
1677
1678
1679
1680
1681
1682
1683
1684
1685
1686
1687
1688
1689
1690
1691
1692
1693
1694
1695
1696
1697
1698
1699
1700
1701
1702
1703
1704
1705
1706
1707
1708
1709
1710
1711
1712
1713
1714
1715
1716
1717
1718
1719
1720
1721
1722
1723
1724
1725
1726
1727
1728
1729
1730
1731
1732
1733
1734
1735
1736
1737
1738
1739
1740
1741
1742
1743
1744
1745
1746
1747
1748
1749
1750
1751
1752
1753
1754
1755
1756
1757
1758
1759
1760
1761
1762
1763
1764
1765
1766
1767
1768
1769
1770
1771
1772
1773
1774
1775
1776
@validate_call
async def replace_asset_with_http_info(
    self,
    id: UUID,
    asset_data: Annotated[
        Union[StrictBytes, StrictStr, Tuple[StrictStr, StrictBytes]],
        Field(description="Asset file data"),
    ],
    device_asset_id: Annotated[StrictStr, Field(description="Device asset ID")],
    device_id: Annotated[StrictStr, Field(description="Device ID")],
    file_created_at: Annotated[datetime, Field(description="File creation date")],
    file_modified_at: Annotated[
        datetime, Field(description="File modification date")
    ],
    key: Optional[StrictStr] = None,
    slug: Optional[StrictStr] = None,
    duration: Annotated[
        Optional[StrictStr], Field(description="Duration (for videos)")
    ] = None,
    filename: Annotated[Optional[StrictStr], Field(description="Filename")] = None,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[AssetMediaResponseDto]:
    """(Deprecated) Replace asset

    Replace the asset with new file, without changing its id.

    :param id: (required)
    :type id: UUID
    :param asset_data: Asset file data (required)
    :type asset_data: bytearray
    :param device_asset_id: Device asset ID (required)
    :type device_asset_id: str
    :param device_id: Device ID (required)
    :type device_id: str
    :param file_created_at: File creation date (required)
    :type file_created_at: datetime
    :param file_modified_at: File modification date (required)
    :type file_modified_at: datetime
    :param key:
    :type key: str
    :param slug:
    :type slug: str
    :param duration: Duration (for videos)
    :type duration: str
    :param filename: Filename
    :type filename: str
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
[...]
